## chromium 0.9-8

=== src/Makefile ===
#############################################################################
# Makefile for building chromium
# Generated by tmake at 22:25, 2001/05/21
#     Project: CHROMIUM
#    Template: app
#############################################################################

include ../config.mak
####### Compiler, tools and options

CC	=	gcc
CXX	=	g++
CFLAGS	=	-pipe $(PKG_CFLAGS) $(AL_CFLAGS) $(SDL_CFLAGS) $(SMPEG_CFLAGS) -O2 -DAUDIO_OPENAL -D_REENTRANT
CXXFLAGS=	-pipe $(PKG_CFLAGS) $(AL_CFLAGS) $(SDL_CFLAGS) $(SMPEG_CFLAGS) -O2 -DAUDIO_OPENAL -D_REENTRANT
INCPATH	=	-I../support/include -I../support/glpng/include -I/usr/X11R6/include
LINK	=	g++
LFLAGS	=	
LIBS	=	$(SUBLIBS) $(GL_LIBS) $(AL_LIBS) $(SDL_LIBS) $(SMPEG_LIBS) $(VORBIS_LIBS)
MOC	=	$(QTDIR)/bin/moc
UIC	=	$(QTDIR)/bin/uic

TAR	=	tar -cf
GZIP	=	gzip -9f

####### Files

HEADERS =	textGeometry.h \
		Audio.h \
		AudioOpenAL.h \
		AudioSDLMixer.h \
		Ammo.h \
		Config.h \
		EnemyAircraft.h \
		EnemyAircraft_Straight.h \
		EnemyAircraft_Omni.h \
		EnemyAircraft_RayGun.h \
		EnemyAircraft_Tank.h \
		EnemyAircraft_Gnat.h \
		EnemyAircraft_Boss00.h \
		EnemyAircraft_Boss01.h \
		EnemyAmmo.h \
		EnemyFleet.h \
		Explosions.h \
		HeroAircraft.h \
		HeroAmmo.h \
		Global.h \
		Ground.h \
		GroundMetal.h \
		GroundMetalSegment.h \
		GroundSea.h \
		GroundSeaSegment.h \
		GroundSegment.h \
		HiScore.h \
		MainToolkit.h \
		MainGLUT.h \
		MainSDL.h \
		MainGL.h \
		MenuGL.h \
		NCString.h \
		PowerUps.h \
		ScreenItem.h \
		ScreenItemAdd.h \
		StatusDisplay.h \
		TexFont.h \
		compatibility.h \
		define.h \
		extern.h \
		main.h
SOURCES =	textGeometryChromium.cpp \
		textGeometryBSU.cpp \
		Audio.cpp \
		AudioOpenAL.cpp \
		AudioSDLMixer.cpp \
		Ammo.cpp \
		Config.cpp \
		EnemyAircraft.cpp \
		EnemyAircraft_Straight.cpp \
		EnemyAircraft_Omni.cpp \
		EnemyAircraft_RayGun.cpp \
		EnemyAircraft_Tank.cpp \
		EnemyAircraft_Gnat.cpp \
		EnemyAircraft_Boss00.cpp \
		EnemyAircraft_Boss01.cpp \
		EnemyAmmo.cpp \
		EnemyFleet.cpp \
		Explosions.cpp \
		HeroAircraft.cpp \
		HeroAmmo.cpp \
		Global.cpp \
		Ground.cpp \
		GroundMetal.cpp \
		GroundMetalSegment.cpp \
		GroundSea.cpp \
		GroundSeaSegment.cpp \
		GroundSegment.cpp \
		HiScore.cpp \
		NCString.cpp \
		MainToolkit.cpp \
		MainGLUT.cpp \
		MainSDL.cpp \
		MainSDL_Event.cpp \
		MainGL.cpp \
		MenuGL.cpp \
		PowerUps.cpp \
		ScreenItem.cpp \
		ScreenItemAdd.cpp \
		StatusDisplay.cpp \
		TexFont.cpp \
		main.cpp
OBJECTS =	textGeometryChromium.o \
		textGeometryBSU.o \
		Audio.o \
		AudioOpenAL.o \
		AudioSDLMixer.o \
		Ammo.o \
		Config.o \
		EnemyAircraft.o \
		EnemyAircraft_Straight.o \
		EnemyAircraft_Omni.o \
		EnemyAircraft_RayGun.o \
		EnemyAircraft_Tank.o \
		EnemyAircraft_Gnat.o \
		EnemyAircraft_Boss00.o \
		EnemyAircraft_Boss01.o \
		EnemyAmmo.o \
		EnemyFleet.o \
		Explosions.o \
		HeroAircraft.o \
		HeroAmmo.o \
		Global.o \
		Ground.o \
		GroundMetal.o \
		GroundMetalSegment.o \
		GroundSea.o \
		GroundSeaSegment.o \
		GroundSegment.o \
		HiScore.o \
		NCString.o \
		MainToolkit.o \
		MainGLUT.o \
		MainSDL.o \
		MainSDL_Event.o \
		MainGL.o \
		MenuGL.o \
		PowerUps.o \
		ScreenItem.o \
		ScreenItemAdd.o \
		StatusDisplay.o \
		TexFont.o \
		main.o
INTERFACES =	
UICDECLS =	
UICIMPLS =	
SRCMOC	=	
OBJMOC	=	
DIST	=	
TARGET	=	chromium
INTERFACE_DECL_PATH = .

####### Implicit rules

.SUFFIXES: .cpp .cxx .cc .C .c

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o $@ $<

####### Build rules


all: $(TARGET)

$(TARGET): $(UICDECLS) $(OBJECTS) $(OBJMOC) 
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJMOC) $(LIBS)

moc: $(SRCMOC)

tmake: Makefile

Makefile: CHROMIUM.pro
	tmake CHROMIUM.pro -o Makefile

dist:
	$(TAR) CHROMIUM.tar CHROMIUM.pro $(SOURCES) $(HEADERS) $(INTERFACES) $(DIST)
	$(GZIP) CHROMIUM.tar

clean:
	-rm -f $(OBJECTS) $(OBJMOC) $(SRCMOC) $(UICIMPLS) $(UICDECLS) $(TARGET)
	-rm -f *~ core
	-rm -f *.bck

####### Sub-libraries


###### Combined headers


####### Compile

textGeometryChromium.o: textGeometryChromium.cpp \
		compatibility.h

textGeometryBSU.o: textGeometryBSU.cpp \
		compatibility.h

Audio.o: Audio.cpp \
		Audio.h \
		Config.h \
		compatibility.h \
		Global.h \
		define.h \
		TexFont.h \
		MainToolkit.h

AudioOpenAL.o: AudioOpenAL.cpp \
		AudioOpenAL.h \
		Audio.h \
		Config.h \
		compatibility.h \
		extern.h \
		define.h \
		Global.h \
		TexFont.h \
		MainToolkit.h

AudioSDLMixer.o: AudioSDLMixer.cpp \
		AudioSDLMixer.h \
		Audio.h \
		extern.h \
		define.h \
		Config.h \
		compatibility.h \
		Global.h \
		TexFont.h \
		MainToolkit.h

Ammo.o: Ammo.cpp \
		Ammo.h

Config.o: Config.cpp \
		Config.h \
		compatibility.h \
		extern.h \
		HiScore.h \
		define.h \
		NCString.h \
		Audio.h \
		Ground.h \
		MenuGL.h \
		TexFont.h \
		MainToolkit.h \
		MainGL.h \
		PowerUps.h \
		ScreenItem.h \
		HeroAmmo.h \
		Ammo.h \
		EnemyAmmo.h \
		EnemyFleet.h \
		EnemyAircraft.h \
		Explosions.h \
		HeroAircraft.h \
		ScreenItemAdd.h \
		StatusDisplay.h \
		GroundMetal.h

EnemyAircraft.o: EnemyAircraft.cpp \
		EnemyAircraft.h \
		ScreenItem.h \
		Config.h \
		compatibility.h \
		define.h \
		Ammo.h \
		Global.h \
		TexFont.h \
		MainToolkit.h \
		EnemyAmmo.h \
		HeroAircraft.h \
		ScreenItemAdd.h \
		EnemyAircraft_Straight.h \
		EnemyAircraft_Omni.h \
		EnemyAircraft_RayGun.h \
		EnemyAircraft_Tank.h \
		EnemyAircraft_Gnat.h \
		EnemyAircraft_Boss00.h \
		EnemyAircraft_Boss01.h

EnemyAircraft_Straight.o: EnemyAircraft_Straight.cpp \
		EnemyAircraft_Straight.h \
		EnemyAircraft.h \
		ScreenItem.h \
		Config.h \
		compatibility.h \
		define.h \
		Ammo.h \
		Global.h \
		TexFont.h \
		MainToolkit.h \
		EnemyAmmo.h \
		HeroAircraft.h \
		ScreenItemAdd.h

EnemyAircraft_Omni.o: EnemyAircraft_Omni.cpp \
		EnemyAircraft_Omni.h \
		EnemyAircraft.h \
		ScreenItem.h \
		Config.h \
		compatibility.h \
		define.h \
		Ammo.h \
		Global.h \
		TexFont.h \
		MainToolkit.h \
		EnemyAmmo.h \
		HeroAircraft.h \
		ScreenItemAdd.h

EnemyAircraft_RayGun.o: EnemyAircraft_RayGun.cpp \
		EnemyAircraft_RayGun.h \
		EnemyAircraft.h \
		ScreenItem.h \
		Config.h \
		compatibility.h \
		define.h \
		Ammo.h \
		Global.h \
		TexFont.h \
		MainToolkit.h \
		EnemyAmmo.h \
		HeroAircraft.h \
		ScreenItemAdd.h

EnemyAircraft_Tank.o: EnemyAircraft_Tank.cpp \
		EnemyAircraft_Tank.h \
		EnemyAircraft.h \
		ScreenItem.h \
		Config.h \
		compatibility.h \
		define.h \
		Ammo.h \
		Global.h \
		TexFont.h \
		MainToolkit.h \
		EnemyAmmo.h \
		HeroAircraft.h \
		ScreenItemAdd.h

EnemyAircraft_Gnat.o: EnemyAircraft_Gnat.cpp \
		EnemyAircraft_Gnat.h \
		EnemyAircraft.h \
		ScreenItem.h \
		Config.h \
		compatibility.h \
		define.h \
		Ammo.h \
		Global.h \
		TexFont.h \
		MainToolkit.h \
		EnemyAmmo.h \
		HeroAircraft.h \
		ScreenItemAdd.h

EnemyAircraft_Boss00.o: EnemyAircraft_Boss00.cpp \
		EnemyAircraft_Boss00.h \
		EnemyAircraft.h \
		ScreenItem.h \
		Config.h \
		compatibility.h \
		define.h \
		Ammo.h \
		Global.h \
		TexFont.h \
		MainToolkit.h \
		EnemyAmmo.h \
		HeroAircraft.h \
		ScreenItemAdd.h

EnemyAircraft_Boss01.o: EnemyAircraft_Boss01.cpp \
		EnemyAircraft_Boss01.h \
		EnemyAircraft.h \
		ScreenItem.h \
		Config.h \
		compatibility.h \
		define.h \
		Ammo.h \
		Global.h \
		TexFont.h \
		MainToolkit.h \
		EnemyAmmo.h \
		HeroAircraft.h \
		ScreenItemAdd.h

EnemyAmmo.o: EnemyAmmo.cpp \
		EnemyAmmo.h \
		compatibility.h \
		define.h \
		Ammo.h \
		Config.h \
		extern.h \
		Global.h \
		TexFont.h \
		MainToolkit.h \
		Explosions.h \
		EnemyFleet.h \
		EnemyAircraft.h \
		ScreenItem.h \
		HeroAircraft.h

EnemyFleet.o: EnemyFleet.cpp \
		EnemyFleet.h \
		compatibility.h \
		EnemyAircraft.h \
		ScreenItem.h \
		extern.h \
		Ammo.h \
		Audio.h \
		Global.h \
		define.h \
		TexFont.h \
		MainToolkit.h \
		Explosions.h \
		EnemyAmmo.h \
		HeroAircraft.h \
		ScreenItemAdd.h \
		StatusDisplay.h

Explosions.o: Explosions.cpp \
		Explosions.h \
		compatibility.h \
		extern.h \
		Global.h \
		define.h \
		TexFont.h \
		MainToolkit.h \
		HeroAircraft.h \
		ScreenItem.h

HeroAircraft.o: HeroAircraft.cpp \
		HeroAircraft.h \
		compatibility.h \
		ScreenItem.h \
		define.h \
		Config.h \
		extern.h \
		Global.h \
		TexFont.h \
		MainToolkit.h \
		HeroAmmo.h \
		Ammo.h \
		Explosions.h \
		EnemyFleet.h \
		EnemyAircraft.h \
		PowerUps.h \
		Audio.h \
		StatusDisplay.h

HeroAmmo.o: HeroAmmo.cpp \
		HeroAmmo.h \
		compatibility.h \
		define.h \
		Ammo.h \
		Config.h \
		extern.h \
		Global.h \
		TexFont.h \
		MainToolkit.h \
		Explosions.h \
		EnemyFleet.h \
		EnemyAircraft.h \
		ScreenItem.h

Global.o: Global.cpp \
		Global.h \
		define.h \
		TexFont.h \
		compatibility.h \
		MainToolkit.h \
		extern.h \
		HiScore.h \
		Config.h \
		Audio.h \
		Ground.h \
		MenuGL.h \
		MainGL.h \
		PowerUps.h \
		ScreenItem.h \
		HeroAmmo.h \
		Ammo.h \
		EnemyAmmo.h \
		EnemyFleet.h \
		EnemyAircraft.h \
		Explosions.h \
		HeroAircraft.h \
		ScreenItemAdd.h \
		StatusDisplay.h \
		GroundMetal.h \
		AudioOpenAL.h \
		AudioSDLMixer.h

Ground.o: Ground.cpp \
		Ground.h \
		compatibility.h \
		Global.h \
		define.h \
		TexFont.h \
		MainToolkit.h

GroundMetal.o: GroundMetal.cpp \
		GroundMetal.h \
		compatibility.h \
		Ground.h \
		extern.h \
		Global.h \
		define.h \
		TexFont.h \
		MainToolkit.h \
		Config.h \
		GroundMetalSegment.h \
		GroundSegment.h

GroundMetalSegment.o: GroundMetalSegment.cpp \
		GroundMetalSegment.h \
		GroundSegment.h \
		compatibility.h \
		Config.h \
		Global.h \
		define.h \
		TexFont.h \
		MainToolkit.h \
		Ground.h

GroundSea.o: GroundSea.cpp \
		GroundSea.h \
		compatibility.h \
		Ground.h \
		extern.h \
		Global.h \
		define.h \
		TexFont.h \
		MainToolkit.h \
		GroundSeaSegment.h \
		GroundSegment.h

GroundSeaSegment.o: GroundSeaSegment.cpp \
		GroundSeaSegment.h \
		GroundSegment.h \
		compatibility.h \
		define.h \
		Global.h \
		TexFont.h \
		MainToolkit.h \
		Ground.h

GroundSegment.o: GroundSegment.cpp \
		GroundSegment.h \
		Global.h \
		define.h \
		TexFont.h \
		compatibility.h \
		MainToolkit.h \
		Ground.h

HiScore.o: HiScore.cpp \
		HiScore.h \
		define.h \
		extern.h \
		HeroAircraft.h \
		compatibility.h \
		ScreenItem.h

NCString.o: NCString.cpp \
		NCString.h

MainToolkit.o: MainToolkit.cpp \
		MainToolkit.h

MainGLUT.o: MainGLUT.cpp \
		MainGLUT.h \
		MainToolkit.h \
		MainGL.h \
		Config.h \
		compatibility.h \
		HiScore.h \
		define.h \
		Global.h \
		TexFont.h \
		Audio.h \
		MenuGL.h \
		HeroAircraft.h \
		ScreenItem.h

MainSDL.o: MainSDL.cpp \
		MainSDL.h \
		MainToolkit.h \
		compatibility.h \
		Config.h \
		Global.h \
		define.h \
		TexFont.h \
		extern.h \
		HeroAircraft.h \
		ScreenItem.h \
		Audio.h \
		MainGL.h

MainSDL_Event.o: MainSDL_Event.cpp \
		MainSDL.h \
		MainToolkit.h \
		Config.h \
		compatibility.h \
		Global.h \
		define.h \
		TexFont.h \
		HeroAircraft.h \
		ScreenItem.h \
		MenuGL.h \
		Audio.h \
		Ground.h

MainGL.o: MainGL.cpp \
		MainGL.h \
		compatibility.h \
		Config.h \
		extern.h \
		TexFont.h \
		Global.h \
		define.h \
		MainToolkit.h \
		HiScore.h \
		EnemyFleet.h \
		EnemyAircraft.h \
		ScreenItem.h \
		HeroAmmo.h \
		Ammo.h \
		EnemyAmmo.h \
		HeroAircraft.h \
		Explosions.h \
		PowerUps.h \
		Audio.h \
		MenuGL.h \
		StatusDisplay.h \
		ScreenItemAdd.h \
		GroundMetal.h \
		Ground.h \
		GroundSea.h

MenuGL.o: MenuGL.cpp \
		MenuGL.h \
		compatibility.h \
		TexFont.h \
		MainToolkit.h \
		Config.h \
		extern.h \
		define.h \
		Global.h \
		HiScore.h \
		Ground.h \
		Audio.h \
		textGeometry.h

PowerUps.o: PowerUps.cpp \
		PowerUps.h \
		compatibility.h \
		ScreenItem.h \
		Config.h \
		extern.h \
		Global.h \
		define.h \
		TexFont.h \
		MainToolkit.h \
		Explosions.h \
		EnemyFleet.h \
		EnemyAircraft.h \
		HeroAircraft.h \
		ScreenItemAdd.h

ScreenItem.o: ScreenItem.cpp \
		ScreenItem.h

ScreenItemAdd.o: ScreenItemAdd.cpp \
		ScreenItemAdd.h \
