=== debian/changelog ===
chromium (0.9-8) unstable; urgency=low

  * Patched /src/NCString.cpp file to fix g++3.0 build problems 
    (closes: #120509) 

 -- Peter Joseph <kneecaps@debian.org>  Thu, 22 Nov 2001 16:15:55 +0000

chromium (0.9-7) unstable; urgency=low

  * Fixed old SDL dependency by building on latest SDL (closes: #117030)
  * Removed CVS files from package (closes: #113740) 

 -- Peter Joseph <kneecaps@debian.org>  Thu, 25 Oct 2001 12:14:11 +0100

chromium (0.9-6) unstable; urgency=low
  
  * Built in standard MesaGL environment (closes: #105763 #105583)
  * Adjusted docs file
  * Fixed menu entry (closes: #105770)

 -- Peter Joseph <kneecaps@debian.org>  Mon,  6 Aug 2001 14:38:03 +0100

chromium (0.9-5) unstable; urgency=low

  * Added new options to man page

 -- Peter Joseph <kneecaps@debian.org>  Fri,  3 Aug 2001 12:52:06 +0100

chromium (0.9-4) unstable; urgency=low

  * Added various options to man page
  * Changed wrapper script to enable options to be passed to chromium

 -- Peter Joseph <kneecaps@debian.org>  Fri,  3 Aug 2001 02:48:01 +0100

chromium (0.9-3) unstable; urgency=low

  * Added menu entry (closes: #105770)
  * Fixed build deps to add xlibmesa-dev (closes: #105800 #105645)

 -- Peter Joseph <kneecaps@debian.org>  Thu,  2 Aug 2001 22:42:46 +0100

chromium (0.9-2.1) unstable; urgency=low

  * Link with libopenal and libglpng instead of the one in the source (closes: #105549) 

 -- Tollef Fog Heen <tfheen@debian.org>  Thu,  2 Aug 2001 16:56:50 +0200

chromium (0.9-2) unstable; urgency=low

  * Fixed incorrect bin location

 -- Peter Joseph <kneecaps@debian.org>  Fri, 13 Jul 2001 03:57:08 +0100

chromium (0.9-1) unstable; urgency=low

  * Initial release (closes: #101611) 
  * Implemented chromium wrapper to set data env var

 -- Peter Joseph <kneecaps@debian.org>  Thu, 12 Jul 2001 01:58:32 +0100
