=== debian/control ===
Source: chromium
Section: games
Priority: optional
Maintainer: Peter Joseph <kneecaps@debian.org>
Build-Depends: debhelper (>> 3.0.0), libsdl1.2-dev (>= 1.2.2-3.1), libsmpeg-dev, libopenal-dev, libglpng-dev, xlibmesa-dev
Standards-Version: 3.5.2

Package: chromium
Architecture: any
Depends: ${shlibs:Depends}, chromium-data
Description: Slick scrolling space shooter
 Chromium is a top down fast paced high action scrolling space shooter using 
 sdl libs.
