=== debian/rules ===
#!/usr/bin/make -f

export DH_COMPAT=2

configure: configure-stamp
configure-stamp:
	dh_testdir
	./configure --disable-setup
	touch configure-stamp

build: configure-stamp build-stamp
build-stamp:
	dh_testdir
	$(MAKE)
	touch build-stamp
	mv bin/chromium bin/chromium.real
	cp wrapper/chromiumwrapper bin/chromium

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	-$(MAKE) distclean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
# it's easier to bypass this than fix it
	install -o root -g root -m 755 bin/chromium debian/chromium/usr/games
	install -o root -g root -m 755 bin/chromium.real debian/chromium/usr/games/

binary-indep: build install

binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installdebconf
	dh_installdocs
#	dh_installexamples
	dh_installmenu
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
	dh_installman debian/chromium.6
#	dh_installinfo
	dh_installchangelogs 
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
