## chromium 0.9.12

=== src-setup/Makefile ===
#############################################################################
# Makefile for building chromium-setup
# Generated by tmake at 00:47, 2001/05/21
#     Project: SETUP
#    Template: app
#############################################################################

include ../config.mak
####### Compiler, tools and options

CC	=	gcc
CXX	=	g++
CFLAGS	=	-pipe $(PKG_CFLAGS) $(AL_CFLAGS) $(SDL_CFLAGS) $(SMPEG_CFLAGS) -Wall -W -g -D_REENTRANT
CXXFLAGS=	-pipe $(PKG_CFLAGS) $(AL_CFLAGS) $(SDL_CFLAGS) $(SMPEG_CFLAGS) -Wall -W -g -D_REENTRANT
INCPATH	=	-I$(QTDIR)/include
LINK	=	g++
LFLAGS	=	
LIBS	=	$(SUBLIBS) -L$(QTDIR)/lib -L/usr/X11R6/lib  $(AL_LIBS) $(SDL_LIBS) $(SMPEG_LIBS) $(VORBIS_LIBS) -lm -pthread -lqt -lXext -lX11 -lm
MOC	=	$(QTDIR)/bin/moc
UIC	=	$(QTDIR)/bin/uic

TAR	=	tar -cf
GZIP	=	gzip -9f

####### Files

HEADERS =	Audio.h \
		ConfigFile.h \
		HelpPage.h \
		HiScoreWidget.h \
		MainWidget.h \
		PlayList.h \
		../src/define.h \
		../src/Config.h \
		../src/HiScore.h \
		main.h
SOURCES =	Audio.cpp \
		ConfigFile.cpp \
		HelpPage.cpp \
		HiScoreWidget.cpp \
		MainWidget.cpp \
		PlayList.cpp \
		../src/Config.cpp \
		../src/HiScore.cpp \
		main.cpp
OBJECTS =	Audio.o \
		ConfigFile.o \
		HelpPage.o \
		HiScoreWidget.o \
		MainWidget.o \
		PlayList.o \
		../src/Config.o \
		../src/HiScore.o \
		main.o
INTERFACES =	
UICDECLS =	
UICIMPLS =	
SRCMOC	=	moc/moc_ConfigFile.cpp \
		moc/moc_HelpPage.cpp \
		moc/moc_HiScoreWidget.cpp \
		moc/moc_MainWidget.cpp \
		moc/moc_PlayList.cpp
OBJMOC	=	moc/moc_ConfigFile.o \
		moc/moc_HelpPage.o \
		moc/moc_HiScoreWidget.o \
		moc/moc_MainWidget.o \
		moc/moc_PlayList.o
DIST	=	
TARGET	=	chromium-setup
INTERFACE_DECL_PATH = .

####### Implicit rules

.SUFFIXES: .cpp .cxx .cc .C .c

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o $@ $<

####### Build rules


all: $(TARGET)

$(TARGET): $(UICDECLS) $(OBJECTS) $(OBJMOC) 
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJMOC) $(LIBS)

moc: $(SRCMOC)

tmake: Makefile

Makefile: SETUP.pro
	tmake SETUP.pro -o Makefile

dist:
	$(TAR) SETUP.tar SETUP.pro $(SOURCES) $(HEADERS) $(INTERFACES) $(DIST)
	$(GZIP) SETUP.tar

clean:
	-rm -f $(OBJECTS) $(OBJMOC) $(SRCMOC) $(UICIMPLS) $(UICDECLS) $(TARGET)
	-rm -f *~ core
	-rm -f *.bck

####### Sub-libraries


###### Combined headers


####### Compile

Audio.o: Audio.cpp \
		Audio.h

ConfigFile.o: ConfigFile.cpp \
		ConfigFile.h \
		../src/Config.h

HelpPage.o: HelpPage.cpp \
		HelpPage.h

HiScoreWidget.o: HiScoreWidget.cpp \
		HiScoreWidget.h \
		../src/define.h \
		../src/Config.h \
		../src/HiScore.h

MainWidget.o: MainWidget.cpp \
		MainWidget.h \
		HelpPage.h \
		PlayList.h \
		Audio.h \
		ConfigFile.h \
		HiScoreWidget.h \
		../src/define.h \
		../src/Config.h

PlayList.o: PlayList.cpp \
		PlayList.h \
		Audio.h

../src/Config.o: ../src/Config.cpp \
		../src/Config.h \
		../src/compatibility.h \
		../src/extern.h \
		../src/HiScore.h \
		../src/define.h \
		../src/NCString.h \
		Audio.h \
		../src/Ground.h \
		../src/MenuGL.h \
		../src/TexFont.h \
		../src/MainToolkit.h \
		../src/MainGL.h \
		../src/PowerUps.h \
		../src/ScreenItem.h \
		../src/HeroAmmo.h \
		../src/Ammo.h \
		../src/EnemyAmmo.h \
		../src/EnemyFleet.h \
		../src/EnemyAircraft.h \
		../src/Explosions.h \
		../src/HeroAircraft.h \
		../src/ScreenItemAdd.h \
		../src/StatusDisplay.h \
		../src/GroundMetal.h

../src/HiScore.o: ../src/HiScore.cpp \
		../src/HiScore.h \
		../src/define.h \
		../src/extern.h \
		../src/HeroAircraft.h \
		../src/compatibility.h \
		../src/ScreenItem.h

main.o: main.cpp \
		main.h \
		MainWidget.h \
		HelpPage.h \
		PlayList.h \
		Audio.h \
		ConfigFile.h \
		HiScoreWidget.h \
		../src/Config.h \
		../src/compatibility.h \
		../src/HiScore.h \
		../src/define.h \
		icon.xpm

moc/moc_ConfigFile.o: moc/moc_ConfigFile.cpp \
		ConfigFile.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc/moc_ConfigFile.o moc/moc_ConfigFile.cpp

moc/moc_HelpPage.o: moc/moc_HelpPage.cpp \
		HelpPage.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc/moc_HelpPage.o moc/moc_HelpPage.cpp

moc/moc_HiScoreWidget.o: moc/moc_HiScoreWidget.cpp \
		HiScoreWidget.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc/moc_HiScoreWidget.o moc/moc_HiScoreWidget.cpp

moc/moc_MainWidget.o: moc/moc_MainWidget.cpp \
		MainWidget.h \
		HelpPage.h \
		PlayList.h \
		Audio.h \
		ConfigFile.h \
		HiScoreWidget.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc/moc_MainWidget.o moc/moc_MainWidget.cpp

moc/moc_PlayList.o: moc/moc_PlayList.cpp \
		PlayList.h \
		Audio.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc/moc_PlayList.o moc/moc_PlayList.cpp

moc/moc_ConfigFile.cpp: ConfigFile.h
	$(MOC) ConfigFile.h -o moc/moc_ConfigFile.cpp

moc/moc_HelpPage.cpp: HelpPage.h
	$(MOC) HelpPage.h -o moc/moc_HelpPage.cpp

moc/moc_HiScoreWidget.cpp: HiScoreWidget.h
	$(MOC) HiScoreWidget.h -o moc/moc_HiScoreWidget.cpp

moc/moc_MainWidget.cpp: MainWidget.h
	$(MOC) MainWidget.h -o moc/moc_MainWidget.cpp

moc/moc_PlayList.cpp: PlayList.h
	$(MOC) PlayList.h -o moc/moc_PlayList.cpp
