=== support/glpng/src/Makefile ===
#############################################################################
# Makefile for building libglpng.a
# Generated by tmake at 16:37, 2000/12/10
#     Project: glpng
#    Template: lib
#############################################################################

####### Compiler, tools and options

CC	=	gcc
CXX	=	g++
CFLAGS	=	-pipe -O2
CXXFLAGS=	-pipe -O2
INCPATH	=	-I../include -I/usr/include -I/usr/X11R6/include
AR	=	ar cqs
RANLIB	=	
MOC	=	$(QTDIR)/bin/moc
UIC	=	$(QTDIR)/bin/uic

TAR	=	tar -cf
GZIP	=	gzip -9f

####### Files

HEADERS =	png/png.h \
		png/pngconf.h \
		zlib/infblock.h \
		zlib/infcodes.h \
		zlib/inffast.h \
		zlib/inffixed.h \
		zlib/inftrees.h \
		zlib/infutil.h \
		zlib/zconf.h \
		zlib/zlib.h \
		zlib/zutil.h
SOURCES =	glpng.c \
		png/png.c \
		png/pngerror.c \
		png/pngget.c \
		png/pngmem.c \
		png/pngpread.c \
		png/pngread.c \
		png/pngrio.c \
		png/pngrtran.c \
		png/pngrutil.c \
		png/pngset.c \
		png/pngtrans.c \
		zlib/adler32.c \
		zlib/crc32.c \
		zlib/infblock.c \
		zlib/infcodes.c \
		zlib/inffast.c \
		zlib/inflate.c \
		zlib/inftrees.c \
		zlib/infutil.c \
		zlib/zutil.c
OBJECTS =	glpng.o \
		png/png.o \
		png/pngerror.o \
		png/pngget.o \
		png/pngmem.o \
		png/pngpread.o \
		png/pngread.o \
		png/pngrio.o \
		png/pngrtran.o \
		png/pngrutil.o \
		png/pngset.o \
		png/pngtrans.o \
		zlib/adler32.o \
		zlib/crc32.o \
		zlib/infblock.o \
		zlib/infcodes.o \
		zlib/inffast.o \
		zlib/inflate.o \
		zlib/inftrees.o \
		zlib/infutil.o \
		zlib/zutil.o
INTERFACES =	
UICDECLS =	
UICIMPLS =	
SRCMOC	=	
OBJMOC	=	
DIST	=	
TARGET	=	libglpng.a

####### Implicit rules

.SUFFIXES: .cpp .cxx .cc .C .c

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o $@ $<

####### Build rules


all: $(TARGET)
	mv -f $(TARGET) ../lib

staticlib: $(TARGET)

$(TARGET): $(UICDECLS) $(OBJECTS) $(OBJMOC) 
	-rm -f $(TARGET)
	$(AR) $(TARGET) $(OBJECTS) $(OBJMOC)

moc: $(SRCMOC)

tmake: Makefile

Makefile: glpng.pro
	tmake glpng.pro -o Makefile

dist:
	$(TAR) glpng.tar glpng.pro $(SOURCES) $(HEADERS) $(INTERFACES) $(DIST)
	$(GZIP) glpng.tar

clean:
	-rm -f $(OBJECTS) $(OBJMOC) $(SRCMOC) $(UICIMPLS) $(UICDECLS) $(TARGET)
	-rm -f *~ core
	-rm -f *.bck

####### Sub-libraries


###### Combined headers


####### Compile

glpng.o: glpng.c \
		png/png.h

png/png.o: png/png.c \
		png/png.h \
		png/../zlib/zlib.h \
		png/pngconf.h

png/pngerror.o: png/pngerror.c \
		png/png.h \
		png/../zlib/zlib.h \
		png/pngconf.h

png/pngget.o: png/pngget.c \
		png/png.h \
		png/../zlib/zlib.h \
		png/pngconf.h

png/pngmem.o: png/pngmem.c \
		png/png.h \
		png/../zlib/zlib.h \
		png/pngconf.h

png/pngpread.o: png/pngpread.c \
		png/png.h \
		png/../zlib/zlib.h \
		png/pngconf.h

png/pngread.o: png/pngread.c \
		png/png.h \
		png/../zlib/zlib.h \
		png/pngconf.h

png/pngrio.o: png/pngrio.c \
		png/png.h \
		png/../zlib/zlib.h \
		png/pngconf.h

png/pngrtran.o: png/pngrtran.c \
		png/png.h \
		png/../zlib/zlib.h \
		png/pngconf.h

png/pngrutil.o: png/pngrutil.c \
		png/png.h \
		png/../zlib/zlib.h \
		png/pngconf.h

png/pngset.o: png/pngset.c \
		png/png.h \
		png/../zlib/zlib.h \
		png/pngconf.h

png/pngtrans.o: png/pngtrans.c \
		png/png.h \
		png/../zlib/zlib.h \
		png/pngconf.h

zlib/adler32.o: zlib/adler32.c \
		zlib/zlib.h \
		zlib/zconf.h

zlib/crc32.o: zlib/crc32.c \
		zlib/zlib.h \
		zlib/zconf.h

zlib/infblock.o: zlib/infblock.c \
		zlib/zutil.h \
		zlib/zlib.h \
		zlib/zconf.h \
		zlib/infblock.h \
		zlib/inftrees.h \
		zlib/infcodes.h \
		zlib/infutil.h

zlib/infcodes.o: zlib/infcodes.c \
		zlib/zutil.h \
		zlib/zlib.h \
		zlib/zconf.h \
		zlib/inftrees.h \
		zlib/infblock.h \
		zlib/infcodes.h \
		zlib/infutil.h \
		zlib/inffast.h

zlib/inffast.o: zlib/inffast.c \
		zlib/zutil.h \
		zlib/zlib.h \
		zlib/zconf.h \
		zlib/inftrees.h \
		zlib/infblock.h \
		zlib/infcodes.h \
		zlib/infutil.h \
		zlib/inffast.h

zlib/inflate.o: zlib/inflate.c \
		zlib/zutil.h \
		zlib/zlib.h \
		zlib/zconf.h \
		zlib/infblock.h

zlib/inftrees.o: zlib/inftrees.c \
		zlib/zutil.h \
		zlib/zlib.h \
		zlib/zconf.h \
		zlib/inftrees.h \
		zlib/inffixed.h

zlib/infutil.o: zlib/infutil.c \
		zlib/zutil.h \
		zlib/zlib.h \
		zlib/zconf.h \
		zlib/infblock.h \
		zlib/inftrees.h \
		zlib/infcodes.h \
		zlib/infutil.h

zlib/zutil.o: zlib/zutil.c \
		zlib/zutil.h \
		zlib/zlib.h \
		zlib/zconf.h
