=== support/openal/linux/test/Makefile ===
# Generated automatically from Makefile.in by configure.
all:

distclean: clean

clean:
	rm -f *.bck
